﻿#language: ru

Функционал: Наборка по рецептуре

Сценарий: Наборка по рецептуре
	Дано Я подключаюсь под "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Меню учетных точек'
	Тогда открылось окно '*: Меню учетных точек'
	И в поле 'Дата' я ввожу текст '01.11.2018'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '*: Меню учетных точек'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке по шаблону:
		| 'Наименование'         |
		| 'milk_prod_Наборка по реце*' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '*: Меню учетных точек'
	И я нажимаю на кнопку 'Наборка'
	Тогда открылось окно 'Наборка (01.11.18 Смена24) *'
	И в таблице "Задания" я перехожу к строке:
		| 'N' |
		| '2' |
	И я нажимаю на кнопку 'Наборка'
	Тогда открылось окно 'Наборка (01.11.18 Смена24) *'
	И в таблице "Материалы" я перехожу к строке:
		| 'Номенклатура'                     		   | 'Рецептура' |
		| 'milk_prod_Ароматизатор Масло 16256 (масло)' | '0,500'     |
	И в таблице "Материалы" я активизирую поле "Номенклатура"
	И я нажимаю на кнопку 'Заменить материал'
	Тогда открылось окно 'Выберите аналог для <milk_prod_Ароматизатор Масло 16256 (масло)>'
	И в таблице "Аналоги" я перехожу к строке:
		| 'Аналог'             |
		| 'milk_prod_Ароматизатор 13456' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Наборка (01.11.18 Смена24) *'
	И я нажимаю на кнопку '345енппа3 до 01.01.0001 0:00:00'
	Тогда открылось окно 'Подбор серий по остаткам'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Наборка (01.11.18 Смена24) *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку ','
	И я нажимаю на кнопку '5'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Наборка (01.11.18 Смена24) *'
	И в таблице "Материалы" я перехожу к строке:
		| 'Номенклатура'                                                 		   			 | 'Факт'  |
		| 'milk_prod_Ароматизатор 13456 (аналог milk_prod_Ароматизатор Масло 16256 (масло))' | '0,500' |
	И в таблице "Материалы" я перехожу к строке:
		| 'Номенклатура'         		   | 'Рецептура' |
		| 'milk_prod_Закваска Ceska L 100' | '0,360'     |
	И я нажимаю на кнопку '3н5ы4урквне до 01.01.0001 0:00:00'
	Тогда открылось окно 'Подбор серий по остаткам'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Наборка (01.11.18 Смена24) *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку ','
	И я нажимаю на кнопку '3'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '6'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Наборка (01.11.18 Смена24) *'
	И в таблице "Материалы" я перехожу к строке:
		| 'Номенклатура'                  			| 'Рецептура' |
		| 'milk_prod_Краситель Бета-каротин FS 30%' | '1,000'     |
	И я нажимаю на кнопку '345урнеу6оу до 01.01.0001 0:00:00'
	Тогда открылось окно 'Подбор серий по остаткам'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Наборка (01.11.18 Смена24) *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Печать документа'
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно 'Наборка (01.11.18 Смена24) *'
	И я нажимаю на кнопку 'КомандаЗакрыть'
	Тогда открылось окно 'Наборка (01.11.18 Смена24) *'
	И я нажимаю на кнопку 'Закрыть'
	Тогда открылось окно '*: Меню учетных точек'
	И Я закрываю окно '*: Меню учетных точек'

Сценарий: Подготовка к наборке на тарах. Выпуск смеси
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Переработка (создание)'
	И в поле 'от' я ввожу текст '01.11.2018'
	И в поле 'Дата смены' я ввожу текст '01.11.2018'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'      |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'milk_prod_ПАЦ' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я нажимаю кнопку выбора у поля с именем "СкладВыпуск"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'milk_prod_Сырцех' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'milk_prod_Смесь 45'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '01.11.2018'   | '4'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '953,000'
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'milk_prod_Смесь 50'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '01.11.2018'   | '2'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '1 053,000'
	И в таблице "Выпуск" я нажимаю на кнопку с именем 'ВыпускДобавить'
	И в таблице "Выпуск" из выпадающего списка с именем "ВыпускНоменклатура" я выбираю по строке 'milk_prod_Смесь 50'
	И в таблице "Выпуск" я нажимаю кнопку выбора у реквизита с именем "ВыпускСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Номер' |
		| '1'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переработка (создание) *'
	И в таблице "Выпуск" в поле с именем 'ВыпускКоличество' я ввожу текст '200,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Переработка (создание) *' в течение 20 секунд
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: Наборка на тарах с завершением и без завершения выпуска
	И В командном интерфейсе я выбираю 'Производство' 'Меню учетных точек'
	Тогда открылось окно '*: Меню учетных точек'
	И в поле 'Дата' я ввожу текст '01.11.2018'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '*: Меню учетных точек'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке по шаблону:
		| 'Наименование'         |
		| 'milk_prod_Наборка по реце*' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно '*: Меню учетных точек'
	И я нажимаю на кнопку 'Наборка на тарах'
	Тогда открылось окно 'Наборка на тарах (01.11.18 Смена24) *: Работа с заданиями'
	И в таблице "Задания" я перехожу к строке:
		| 'Номенклатура'                  |
		| 'milk_prod_Сливочный 45% ГП / 4\01.11.18' |
	И я нажимаю на кнопку 'Наборка'
	Тогда открылось окно 'Наборка на тарах (01.11.18 Смена24) *: Наборка по рецептуре'
	И я жду доступности элемента с именем "ТараПродукция" в течение 20 секунд
	И я нажимаю кнопку выбора у поля с именем "ТараПродукция"
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Штрих код'   |
		| '06000000001' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Наборка на тарах (01.11.18 Смена24) *: Наборка по рецептуре'
	И я нажимаю на кнопку 'КомандаКалькуляторТары'
	Тогда открылось окно 'Состав тары 06000000001: Калькулятор тары'
	Тогда в таблице "ТаблицаТипыТары" количество строк "равно" 2
	И в таблице "ТаблицаТипыТары" я перехожу к строке:
		| 'Вес'   | 'Тип тары' 			 |
		| '0,600' | 'milk_prod_Полка'    |
	И в таблице "ТаблицаТипыТары" я активизирую поле с именем "ТаблицаТипыТарыВесНорматив"
	И я нажимаю на кнопку 'КомандаКоличествоПлюс'
	И я нажимаю на кнопку 'КомандаКоличествоПлюс'
	И я нажимаю на кнопку 'КомандаКоличествоМинус'
	И я нажимаю на кнопку 'КомандаКоличествоПлюс'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Состав тары 06000000001: Калькулятор тары'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Наборка на тарах (01.11.18 Смена24) *: Наборка по рецептуре'
	И я нажимаю на кнопку 'КомандаКалькуляторВесТары'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Наборка на тарах (01.11.18 Смена24) *: Наборка по рецептуре'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '5'
	И я нажимаю на кнопку '8'
	И я нажимаю на кнопку ','
	И я нажимаю на кнопку '6'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Наборка на тарах (01.11.18 Смена24) *: Наборка по рецептуре'
	И пауза 1
	И в таблице "Материалы" я перехожу к строке:
		| 'Номенклатура'         		   | 'Рецептура' |
		| 'milk_prod_Закваска Ceska L 100' | '1,000'     |
	И пауза 1
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '5'
	И я нажимаю на кнопку '9'
	И я нажимаю на кнопку ','
	И я нажимаю на кнопку '6'
	И я нажимаю на кнопку 'КомандаГотово'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Наборка на тарах (01.11.18 Смена24) *: Работа с заданиями'
	И я нажимаю на кнопку 'Закрыть'
	Тогда открылось окно '*Меню учетных точек'
	И я закрываю окно '*Меню учетных точек'

Сценарий: Проверка документов с выпуска на тару
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Рабочий центр' 	| 'Смена'   | 'Способ создания'      | 'Статус'    |
		| '01.11.2018' | 'milk_prod_Сырцех' | 'Смена24' | 'Наборка по рецептуре' | 'Выполнено' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я перехожу к строке:
		| 'N' | 'Ед. изм.' | 'Количество' | 'Номенклатура'     			 | 'Серия'      |
		| '1' | 'кг'       | '257,600'    | 'milk_prod_Сливочный 45% ГП' | '4\01.11.18' |
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'Номенклатура'  			| 'Распределить на выпуск'        			|
		| 'milk_prod_Смесь 45%' 	| 'milk_prod_Сливочный 45% ГП / 4\01.11.18' |
	И я перехожу к закладке "Материалы на тарах выпуска"
	И в таблице "МатериалыНаТарахВыпуска" я перехожу к строке:
		| 'Аналитика учета выпуска'      		   | 'Ед. изм.' | 'Количество' | 'Номенклатура'         		  | 'Серия'                             | 'Тара выпуска' | 'Характеристика'    |
		| 'milk_prod_Сливочный 45% ГП,,4\01.11.18' | 'кг'       | '1,000'      | 'milk_prod_Закваска Ceska L 100' | '3н5ы4урквне до 01.01.0001 0:00:00' | '06000000001'  | '<не используются>' |
	И я закрываю окно 'Переработка *'
	Тогда открылось окно 'Переработки'
	И я закрываю окно 'Переработки'
	И В командном интерфейсе я выбираю 'Производство' 'Комплектации тар'
	Тогда открылось окно 'Комплектации тар'
	И в таблице "Список" я перехожу к строке:
		| 'Тип операции' | 'Тара' 	     | 'Склад' 	       				 | 'Способ создания'      |
		| 'Собрать'      | '06000000001' | 'milk_prod_Бассейн соления 2' | 'Наборка по рецептуре' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Комплектация тары*'
	И в таблице "СоставТары" я перехожу к строке:
		| 'Вес'   | 'Количество' | 'Тара'        | 'Тип тары' 		|
		| '0,800' | '1'          | '06000000001' | 'milk_prod_Рама' |
	И в таблице "СоставТары" я перехожу к строке:
		| 'Вес'   | 'Количество' | 'Тип тары' 		 |
		| '1,200' | '2'          | 'milk_prod_Полка' |
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я перехожу к строке:
		| 'Ед. изм.' | 'Количество' | 'Номенклатура'     		   | 'Серия'      | 'Характеристика'    |
		| 'кг'       | '1,000'      | 'milk_prod_Сливочный 45% ГП' | '4\01.11.18' | '<не используются>' |
	И в таблице "Товары" я перехожу к строке:
		| 'N' | 'Ед. изм.' | 'Количество' | 'Номенклатура'     			 | 'Серия'      | 'Характеристика'    |
		| '1' | 'кг'       | '256,600'    | 'milk_prod_Сливочный 45% ГП' | '4\01.11.18' | '<не используются>' |
	И я закрываю окно 'Комплектация тары*'
	Тогда открылось окно 'Комплектации тар'
	И я закрываю окно 'Комплектации тар'